/*
 * Class EV_DOCKABLE_TARGET_IMP
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1164 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1164 [] = {0xFF01,1551,1163,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1164 [] = {0xFF01,1163,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1164 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1164 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1164 [] = {0xFF01,1163,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1164 [] = {0xFF01,1163,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1164 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1164 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1164 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1164 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1164 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1164 [] = {0xFF01,1163,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1164 [] = {0xFF01,0xFF01,980,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1164 [] = {0xFF01,652,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1164 [] = {1558,0xFF01,0,0xFF01,0xFFF9,1,840,0xFF01,979,866,0xFFFF};


static const struct desc_info desc_1164[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1164), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1164), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1164), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1164), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1164), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1164), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1164), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1164), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1164), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1164), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1164), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1164), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0917 /*1163*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1164), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26577, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26579, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1164), 26580, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07A9 /*980*/), 27070, 4},
	{EIF_NON_GENERIC(0x069B /*845*/), 26582, 13},
	{EIF_NON_GENERIC(0x069B /*845*/), 26583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26584, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26585, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26586, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26587, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26588, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26589, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26590, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26591, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26594, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26597, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26598, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26600, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1164), 4669, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0519 /*652*/), 4670, 0},
	{EIF_GENERIC(egt_15_1164), 27065, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27066, 12},
	{EIF_GENERIC(NULL), 27067, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27068, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27069, 0xFFFFFFFF},
};
void Init1164(void)
{
	IDSC(desc_1164, 0, 1163);
	IDSC(desc_1164 + 1, 1, 1163);
	IDSC(desc_1164 + 32, 1513, 1163);
	IDSC(desc_1164 + 59, 1158, 1163);
	IDSC(desc_1164 + 61, 1121, 1163);
}


#ifdef __cplusplus
}
#endif
